Subject: [pim] PIM survey for operators

From: Stig Venaas <[email-masked]>
Date: Fri, 22 Jun 2012 13:20:45 -0700

The IETF pim working group is conducting a survey in order to advance
the PIM Sparse Mode spec on the IETF Standards Track, and would like
input from operators. The survey ends July 20th. Please see below for
more information.

thank you,
pim chairs Mike & Stig

Introduction:

PIM-SM was first published as RFC 2117 in 1997 and then again as
RFC 2362 in 1998.  The protocol was classified as Experimental in
both of these documents.  The PIM-SM protocol specification was
then rewritten in whole and advanced to Proposed Standard as
RFC 4601 in 2006. Considering the multiple independent
implementations developed and the successful operational
experience gained, the IETF has decided to advance the PIM-SM
routing protocol to Draft Standard.  This survey intends to
provide supporting documentation to advance the Protocol
Independent Multicast - Sparse Mode (PIM-SM) routing protocol
from IETF Proposed Standard to Draft Standard. (Due to RFC 6410,
now the intention is to progress it to Internet Standard.  Draft Standard
is no longer used.)

This survey is issued on behalf of the IETF PIM Working Group.

The responses will be collected by a neutral third-party and kept
strictly confidential; only the final combined results will be
published.  Marshall Eubanks has agreed to anonymize the response
to this Questionnaire.  Marshall has a long experience with
Multicast but has no direct financial interest in this matter,
nor ties to any of the vendors involved.  He is also a member of
the IAOC, Chair of the IETF Trust and co-chair of the IETF
Layer 3 VPN Working Group.  Please send Questionnaire responses
to his email address, [email-masked].  He requests
that such responses include the string "RFC 4601 bis Questionnaire" in
the subject field.

Before answering the questions, please comple the following background
information.

Name of the Respondent:
Affliation/Organization:
Contact Email:
Provide description of PIM deployment:
Do you wish to keep the information provided confidential:

Questions:

1       Have you deployed PIM-SM in your network?

2       How long have you had PIM-SM deployed in your network?
        Do you know if your deployment is based on the most recent
        RFC4601?

3       Have you deployed PIM-SM for IPv6 in your network?

4       Are you using equipment with different (multi-vendor) PIM-SM
        implementations for your deployment?

5       Have you encountered any inter-operability or backward-
        compatibility issues amongst differing implementations?
        If yes, what are your concerns about these issues?

6       Have you deployed both dense mode and sparse mode in your
        network?

        If yes, do you route between these modes using features such
        as *,*,RP or PMBR?

7       To what extent have you deployed PIM functionality, like BSR,
        SSM, and Explicit Tracking?

8       Which RP mapping mechanism do you use: Static, AutoRP, or BSR?

9       How many RPs have you deployed in your network?

10      If you use Anycast-RP, is it Anycast-RP using MSDP (RFC 3446)
        or Anycast-RP using PIM (RFC 4610)?

11      Do you have any other comments on PIM-SM deployment in your
        network?

---

From: "Bruce, Paul" <[email-masked]>
Date: Thu, 28 Jun 2012 07:56:11 +0100

Dear PIM Chairs,

I have received this email thread through the UKNOF mailing list. I have
subscribed to the PIM mailing list for future reference.

I am happy to complete the survey if every little helps. But could I
request that you re-send the original email to
[email-masked]

Regards,

Paul

Paul Bruce

Data Architecture
Virgin Media
Media House, Bartley Wood Business Park, Hook RG27 9UP

M +44(0)7785 515 617
D +44(0)1256 75 3631
E [email-masked]

-----Original Message-----
From: Adrian Farrel [mailto:[email-masked]] 
Sent: 27 June 2012 22:11
To: Bruce, Paul
Subject: RE: [uknof] FW: PIM survey for operators

Hi again, Paul (and sorry for the silly mistyping of your name which,
although it must happen all the time, can be nothing but annoying).

The original request is in the PIM archive at
http://www.ietf.org/mail-archive/web/pim/current/msg02448.html

If you need a specific email in your in-box, I suggest mailing to
[email-masked] and asking whether they would mind re-sending the survey
request. 

If you have any questions about the survey then [email-masked] is the
right place to send them.

I suggest sending your survey response direct to
[email-masked] as described in the survey header. Marshall
is collating the responses and annonymising for anyone who wants stuff
kept private.

Cheers,
Adrian

> -----Original Message-----
> From: Bruce, Paul [mailto:[email-masked]]
> Sent: 27 June 2012 08:25
> To: [email-masked]
> Subject: RE: [uknof] FW: PIM survey for operators
> 
> Adrian,
> 
> I have just subscribed to the PIM list, do you have another email to 
> back up the email below or do I just reply to [email-masked]
> 
> Paul
> 
> -----Original Message-----
> From: Adrian Farrel [mailto:[email-masked]]
> Sent: 26 June 2012 21:54
> To: Bruce, Paul
> Subject: RE: [uknof] FW: PIM survey for operators
> 
> Hi Bruce,
> 
> The PIM mailing list can't mail you. If you are subscribed that list 
> you would have seen a copy.
> 
> Would it be enough to see an email from the PIM working group
co-chairs?
> 
> Cheers,
> Adrian
> 
> > -----Original Message-----
> > From: Bruce, Paul [mailto:[email-masked]]
> > Sent: 26 June 2012 10:21
> > To: [email-masked]
> > Subject: RE: [uknof] FW: PIM survey for operators
> >
> > Adrian,
> >
> > I am happy to respond to the PIM survey, but would like to receive 
> > an email direct from [email-masked] can you ping whomever
> >
> > Paul
> >
> > Paul Bruce
> >
> > Data Architecture
> > Virgin Media
> > Media House, Bartley Wood Business Park, Hook RG27 9UP
> >
> >
> > M +44(0)7785 515 617
> > D +44(0)1256 75 3631
> > E [email-masked]
> >
> >
> >
> > -----Original Message-----
> > From: [email-masked] 
> > [mailto:[email-masked]] On Behalf Of Adrian Farrel
> > Sent: 26 June 2012 09:09
> > To: [email-masked]
> > Subject: [uknof] FW: PIM survey for operators
> >
> > Hi UKnoffers,
> >
> > In case this doesn't reach you by other means, the IETF PIM 
> > community is seeking input on PIM deployments. Your responses can be

> > anonymised as described in the covering email.
> >
> > Thanks for any help.
> >
> > Adrian
> >
> > > -----Original Message-----
> > > From: [email-masked] [mailto:[email-masked]] On Behalf

> > > Of Stig Venaas
> > > Sent: 22 June 2012 21:21
> > > To: [email-masked]
> > > Subject: [pim] PIM survey for operators
> > >
> > > The IETF pim working group is conducting a survey in order to 
> > > advance the PIM Sparse Mode spec on the IETF Standards Track, and 
> > > would like input from operators. The survey ends July 20th. Please

> > > see below for more information.
> > >
> > > thank you,
> > > pim chairs Mike & Stig
> > >
> > >
> > > Introduction:
> > >
> > > RFC
> > > 2362 in 1998.  The protocol was classified as Experimental in both

> > > of these documents.  The PIM-SM protocol specification was then 
> > > rewritten
> >
> > > in whole and advanced to Proposed Standard as RFC 4601 in 2006.
> > > Considering the multiple independent implementations developed and

> > > the
> >
> > > successful operational experience gained, the IETF has decided to 
> > > advance the PIM-SM routing protocol to Draft Standard.  This 
> > > survey intends to provide supporting documentation to advance the 
> > > Protocol Independent Multicast - Sparse Mode (PIM-SM) routing 
> > > protocol from IETF Proposed Standard to Draft Standard. (Due to 
> > > RFC 6410, now the intention is to progress it to Internet 
> > > Standard.  Draft Standard is
> 
> > > no longer used.)
> > >
> > > to
> > > this Questionnaire.  Marshall has a long experience with Multicast

> > > but
> >
> > > has no direct financial interest in this matter, nor ties to any 
> > > of the vendors involved.  He is also a member of the IAOC, Chair 
> > > of the
> 
> > > IETF Trust and co-chair of the IETF Layer 3 VPN Working Group.
> > > Please
> >
> > > send Questionnaire responses to his email address, 
> > > [email-masked].  He requests that such responses 
> > > include
> 
> > > the string "RFC 4601 bis Questionnaire" in the subject field.
> > >
> > > _______________________________________________
> > > pim mailing list
> > > [email-masked]
> > > https://www.ietf.org/mailman/listinfo/pim
> >
> >
> >
> >
> > --------------------------------------------------------------------
> > Save Paper - Do you really need to print this e-mail?
> >
> > Visit www.virginmedia.com for more information, and more fun.
> >
> > This email and any attachments are or may be confidential and 
> > legally
> privileged
> > and are sent solely for the attention of the addressee(s). If you 
> > have
> received
> > this
> > email in error, please delete it from your system: its use, 
> > disclosure
> 
> > or
> copying is
> > unauthorised. Statements and opinions expressed in this email may 
> > not represent those of Virgin Media. Any representations or 
> > commitments in
> 
> > this email are subject to contract.
> >
> > Registered office: Media House, Bartley Wood Business Park, Hook, 
> > Hampshire,
> > RG27 9UP
> > Registered in England and Wales with number 2591237
> 
> 
> --------------------------------------------------------------------
> Save Paper - Do you really need to print this e-mail?
> 
> Visit www.virginmedia.com for more information, and more fun.
> 
> This email and any attachments are or may be confidential and legally
privileged
> and are sent solely for the attention of the addressee(s). If you have
received
> this
> email in error, please delete it from your system: its use, disclosure

> or
copying is
> unauthorised. Statements and opinions expressed in this email may not 
> represent those of Virgin Media. Any representations or commitments in

> this email are subject to contract.
> 
> Registered office: Media House, Bartley Wood Business Park, Hook, 
> Hampshire,
> RG27 9UP
> Registered in England and Wales with number 2591237

--------------------------------------------------------------------
Save Paper - Do you really need to print this e-mail?

Visit www.virginmedia.com for more information, and more fun.

This email and any attachments are or may be confidential and legally privileged
and are sent solely for the attention of the addressee(s). If you have received this
email in error, please delete it from your system: its use, disclosure or copying is
unauthorised. Statements and opinions expressed in this email may not represent
those of Virgin Media. Any representations or commitments in this email are
subject to contract. 

Registered office: Media House, Bartley Wood Business Park, Hook, Hampshire, RG27 9UP
Registered in England and Wales with number 2591237